Package org.apache.ignite.lang

## Interface IgniteBiPredicate<E1,​E2>

- Type Parameters:
    `E1` - Type of the first parameter.
    `E2` - Type of the second parameter.
  All Superinterfaces:
    `Serializable`
  All Known Implementing Classes:
    `ClusterNodeAttributeAffinityBackupFilter`, `ClusterNodeAttributeColocatedBackupFilter`, `MdcAffinityBackupFilter`, `MessagingListenActor`

      public interface IgniteBiPredicate<E1,​E2>
      extends Serializable

  Defines a predicate which accepts two parameters and returns `true` or `false`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default IgniteBiPredicate<E1,​E2>` | `and​(IgniteBiPredicate<E1,​E2> then)` | Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
    `boolean` | `apply​(E1 e1, E2 e2)` | Predicate body.

- - ### Method Detail

    - #### apply

          boolean apply​(E1 e1,
                        E2 e2)

      Predicate body.
      Parameters:
        `e1` - First parameter.
        `e2` - Second parameter.
      Returns:
        Return value.

    - #### and

          default IgniteBiPredicate<E1,​E2> and​(IgniteBiPredicate<E1,​E2> then)

      Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another. When evaluating the composed predicate, if this predicate is `false`, then the `other` predicate is not evaluated.

      Any exceptions thrown during evaluation of either predicate are relayed to the caller; if evaluation of this predicate throws an exception, the `other` predicate will not be evaluated.

      Parameters:
        `then` - a predicate that will be logically-ANDed with this predicate
      Returns:
        a composed predicate that represents the short-circuiting logical AND of this predicate and the `other` predicate
      Throws:
        `NullPointerException` - if other is null